CFLAGS = -Wall -Wextra -Werror -std=c99 -pedantic
FORMAT = ./format
MAKROS = ./makros/makros

default: gen

$(FORMAT): format.c
	$(CC) $(CFLAGS) $< -o $@

$(MAKROS): makros/makros.c
	cd makros && make

gen: $(FORMAT) $(MAKROS) site-src/*
	./gen.sh

.PHONY: clean
clean:
	rm $(FORMAT)
	rm site/*
